# Uses of Class
javax.management.openmbean.ArrayType

Packages that use ArrayType
Package
Description
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.

## Uses of ArrayType in javax.management.openmbean

Methods in javax.management.openmbean that return ArrayType
Modifier and Type
Method
Description
`static <E> ArrayType<E[]>`
ArrayType.`getArrayType(OpenType<E> elementType)`
Create an `ArrayType` instance in a type-safe manner.
`static <T> ArrayType<T>`
ArrayType.`getPrimitiveArrayType(Class<T> arrayClass)`
Create an `ArrayType` instance in a type-safe manner.